/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"init.h"


int stab_status;

int
main(int argc,char ** argv)
{
char * msg;
extern char * command_arg;

	command_arg = argv[0];

	stab_status = stabilizer(); 


	check_endian();

	init_task(INI_DONTWAITCHI);
	init_tick();
	init_d_alloc();
	init_longchar();
	init_stream();
	init_utils();
	init_netutils();
	init_resolve();

	if ( argv[1][0] == '+' ) {
		msg = argv[1];
		argv[1] = argv[0];
		argv ++;
		argc --;
		proc_recv_stream(msg);
	}


	return _main(argc,argv);
}
